#### Previous topic

scipy.special.assoc_laguerre

#### Next topic

scipy.special.eval_chebyt

# scipy.special.eval_legendre

`scipy.special.``eval_legendre`(n, x, out=None) = <ufunc 'eval_legendre'>

  Evaluate Legendre polynomial at a point.

  The Legendre polynomials can be defined via the Gauss hypergeometric function \({}_2F_1\) as

  \[P_n(x) = {}_2F_1(-n, n + 1; 1; (1 - x)/2).\]

  When \(n\) is an integer the result is a polynomial of degree \(n\).

  Parameters:

  n : array_like

  > Degree of the polynomial. If not an integer, the result is determined via the relation to the Gauss hypergeometric function.

  x : array_like

  > Points at which to evaluate the Legendre polynomial

  Returns:

  P : ndarray

  > Values of the Legendre polynomial

  See also

  `roots_legendre`
    roots and quadrature weights of Legendre polynomials
  `legendre`
    Legendre polynomial object
  `hyp2f1`
    Gauss hypergeometric function
  `numpy.polynomial.legendre.Legendre`
    Legendre series